local coveredBridge = ...

-- Apply building asset processor
coveredBridge:registerAssetProcessor("models/coveredBridge.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
coveredBridge:registerAssetProcessor("models/coveredBridgeDecoration.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
coveredBridge:registerAssetProcessor("models/coveredBridgeGate.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
coveredBridge:registerAssetProcessor("models/coveredBridgeAddition.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})


-- Register all covered bridge building parts and their properties
coveredBridge:dofile("scripts/building_parts.lua")

-- Register the covered bridge monument
coveredBridge:register({
	DataType = "MONUMENT",
	Id = "COVERED_BRIDGE_V3",
	Name = "COVERED_BRIDGE_V3_MONUMENT_NAME",
	Description = "COVERED_BRIDGE_V3_MONUMENT_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "COVERED_BRIDGE_V3_NAME",
	                BuildingPartList = {
		            "COVERED_BRIDGE_V3_CORE_PART",
		            "COVERED_BRIDGE_V3_HOUSE_PART",
                            "COVERED_BRIDGE_V3_RED_PART",
                            "COVERED_BRIDGE_V3_GREEN_A_PART",
		            "COVERED_BRIDGE_V3_GREEN_B_PART",
                            "COVERED_BRIDGE_V3_BLUE_PART",
		            "COVERED_BRIDGE_V3_RED_WINE_PART",
		            "COVERED_BRIDGE_V3_CARBON_PART",
		            "COVERED_BRIDGE_V3_CENTER_COVERAGE_PART",
		            "COVERED_BRIDGE_V3_START_END_COVERAGE_PART",
		            "COVERED_BRIDGE_V3_GATE_ROOT_PART"
	                }
                }
        },
	IsManuallyUnlocked = false,
	IsDestructible = true,
	IsEditable = true,
	IsClearTrees = true
})